Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.widgets.zoom
Class LargeZoomWidget

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.maryanovsky.map.client.widgets.zoom.LargeZoomWidget

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

    public class LargeZoomWidget

extends Composite

A large zoom widget, with both zoom in and zoom out buttons and a "ladder" of zooms where the user can select and see the current zoom. The primary style name of this widget is `"map-LargeZoomWidget"`. A dependent style name of `"disabled"` is added when the widget is disabled. The primary style name of the zoom-in button is `"map-ZoomInButton"`. The primary style name of the zoom-out button is `"map-ZoomOutButton"`. Both buttons are `ImageButton`s. The style name of the ladder is `"map-LargeZoomWidgetLadder"` and the style name of the mark is `"map-LargeZoomWidgetMark"`. In order to properly use this widget's default look, you need to import the "widgets/zoom/zoom.css" file into the page's CSS.

Author:
  Maryanovsky Alexander

Nested Class Summary
`static interface` | `LargeZoomWidget.Images` A bundle of images used by the widget.

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`LargeZoomWidget(MapWidget mapWidget)` Creates a new `LargeZoomWidget` for the specified `MapWidget` using the default images.
`LargeZoomWidget(MapWidget mapWidget, LargeZoomWidget.Images images)` Creates a new `LargeZoomWidget` for the specified `MapWidget` and specifying the source of images for this widget.

Method Summary
`boolean` | `isAnimate()` Returns whether we attempt to animate zoom changes.
`boolean` | `isEnabled()` Returns whether the widget is enabled.
`protected void` | `onAttach()` Updates the widget, because only after being attached we know our real size and can position the mark.
`void` | `setAnimate(boolean isAnimate)` Sets whether zoom changes will (try to) be animated.
`void` | `setEnabled(boolean isEnabled)` Sets whether the widget is enabled.

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LargeZoomWidget

    public LargeZoomWidget(MapWidget mapWidget,
                           LargeZoomWidget.Images images)

  Creates a new `LargeZoomWidget` for the specified `MapWidget` and specifying the source of images for this widget.

### LargeZoomWidget

    public LargeZoomWidget(MapWidget mapWidget)

  Creates a new `LargeZoomWidget` for the specified `MapWidget` using the default images.

Method Detail

### setAnimate

    public void setAnimate(boolean isAnimate)

  Sets whether zoom changes will (try to) be animated.

### isAnimate

    public boolean isAnimate()

  Returns whether we attempt to animate zoom changes.

### setEnabled

    public void setEnabled(boolean isEnabled)

  Sets whether the widget is enabled. A disabled widget will show the current zoom, but will not allow the user to change it.

### isEnabled

    public boolean isEnabled()

  Returns whether the widget is enabled.

### onAttach

    protected void onAttach()

  Updates the widget, because only after being attached we know our real size and can position the mark.

  Overrides:
    `onAttach` in class `Composite`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD